Agents
List sessions for an agent
GET
/agents/{agent_name}/endpoint/sessionsReturns a paged collection of sessions associated with the specified agent endpoint.
Path ParametersQuery ParametersHeader Parameters
agent_namestringrequired
The name of the agent.limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.orderstringoptional
Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and`desc`
for descending order.ascdesc
afterstringoptional
A cursor for use in pagination. `after` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.beforestringoptional
A cursor for use in pagination. `before` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringoptional
A feature flag opt-in required when using preview operations or modifying persisted preview resources.AgentEndpoints=V1Preview
x-ms-user-isolation-keystringoptional
Opaque per-user isolation key used to scope endpoint-scoped data (responses, conversations, sessions) to a specific end user.Responses
dataAgentSessionResource[]required
The requested list of items.agent_session_idstringrequired
The session identifier.version_indicatorversion_refrequired
The version indicator determining which agent version backs this session.statusenumrequired
The current status of the session.creatingactiveidleupdatingfaileddeletingdeletedexpired
created_atintegerrequired
The Unix timestamp (in seconds) when the session was created.last_accessed_atintegerrequired
The Unix timestamp (in seconds) when the session was last accessed.expires_atintegerrequired
The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).first_idstring
The first ID represented in this list.last_idstring
The last ID represented in this list.has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.